<?php	get_header();
	$layout = get_option('vicuna_page_layout');
	if (!$layout) $layout = 'single';
	if ( $layout == 'multi' ) : ?>
	<link rel="stylesheet" type="text/css" href="<?php echo get_skin_uri() . '/module/mod_multiCol-Type'. (get_option('vicuna_3column_type') + 1) .'.css'; ?>" />
<?php	endif; ?>
	<title><?php bloginfo('name'); ?> - <?php the_title(); ?></title>
</head>
<?php	if (have_posts()) : while (have_posts()) : the_post(); ?>
<body class="individual <?php echo $layout; ?>" id="entry<?php the_ID(); ?>">
<div id="header">
	<p class="siteName"><a href="<?php bloginfo('home'); ?>" title="<?php bloginfo('name'); ?> Indexへ戻る"><?php bloginfo('name'); ?></a></p>
<?php		if ( $description = get_bloginfo('description') ) : ?>
	<p class="description"><?php bloginfo('description'); ?></p>
<?php		endif; ?>
<?php	if ( get_option('vicuna_g_navi_display') ) : ?>
	<ul id="globalNavi">
<?php		wp_list_pages('sort_column=menu_order&title_li=0&depth=1'); ?>
	</ul>
<?php		endif; ?></div>

<div id="content">
	<div id="main">
		<p class="topicPath"><a href="<?php bloginfo('home'); ?>">Home</a><?php
		$parent_pages = get_page_parent('sort_column=menu_order');
		if ($parent_pages) : ?> &gt; <?php echo $parent_pages; ?><?php endif; ?> &gt; <span class="current"><?php the_title(); ?></span></p>
		<h1><?php the_title(); ?></h1>
		<div class="entry">
			<ul class="info">
				<li class="date"><?php echo get_the_modified_time('Y-m-d (D) G:i'); ?></li>
				<?php edit_post_link('Edit.', '<li class="admin">', '</li>'); ?>
			</ul>
			<div class="textBody">
<?php		the_content('Continue reading'); ?>
			</div>

<?php		comments_template(); ?>

		</div><!--end entry-->
		<p class="topicPath"><a href="<?php bloginfo('home'); ?>">Home</a><?php if ($parent_pages) : ?> &gt; <?php echo $parent_pages; ?><?php endif; ?> &gt; <span class="current"><?php the_title(); ?></span></p>
	</div><!-- end main-->
<?php	endwhile; endif; ?>

<?php	get_sidebar(); ?>

<?php	get_footer(); ?>
